<!-- <div class="container">
    <div class="row  justify-content-center p-4 ">
        <div class="card-wrapper">
            <div class="card fat">
                <div class="card-body">
                    <div class="col-md-12 ">
                        <h2 class="header-title">Register</h2>
                        <div class="form-group p-1 pt-4">
							<label>Enter your Email</label>
                            <input type="text" name="email" class="form-control" placeholder="example@gmail.com">
                        </div>
                        <div class="form-group p-1">
							<label>Choose Password</label>
                            <input type="password" name="password" class="form-control" placeholder="Enter Password">
                        </div>
                        <div class="form-group p-1">
                            <button class="btn btn-primary">Register</button>
                            <br>
                            <br>
                            <div class="register"><h4>Already have account</h4><a href="#" routerLink='/login'>Log In </a></div>
                        </div>   
                    </div>
                </div>
            </div>
        </div>
    </div>
</div> -->


<div class="main-div">
    <mat-card class="example-card">
        <div class="col-md-12 ">
            <form (ngSubmit)="Register()" [formGroup]="myForm">
                <mat-card-header>
                    <div class="login-header">
                        <h2> New User Register </h2>
                    </div>
                </mat-card-header>
                <mat-card-content>
                    <!-- <form class="example-form" [formGroup]="myForm"> -->
                        <!-- <table class="example-full-width" cellspacing="0">
                        <tr>
                            <td> -->
                            <mat-form-field class="example-full-width">
                                <mat-label>Enter email/Phone number</mat-label>
                            <input type="email" matInput placeholder="Username" [(ngModel)]="email" formControlName="email" required>
                            </mat-form-field>
                            <!-- </td>
                        </tr>
                        <tr>
                        <td> -->
                            <mat-form-field class="example-full-width">
                                <mat-label>Enter Your Password</mat-label>
                            <input type="password" matInput placeholder="Password" [(ngModel)]="password" formControlName="password" required>
                        </mat-form-field>       
                    <!-- </td> -->
                        <!-- </tr></table> -->
                        <div class="example-button-row">
                            <button mat-raised-button color="primary">Register</button>
                        </div>

                        <div class="formGroup">
                            <span class="or"><span class="orInner">Or</span></span>
                          </div>
                    
                          <!-- Continue with Google -->
                          <div class="formGroup">
                            <button type="button" class="btn btn-primary" (click)="authservice.GoogleAuth()">
                              <i class="fab fa-google-plus-g"></i>
                              <!-- <mat-icon fontSet="fa" fontIcon="fa-clipboard-check"></mat-icon> -->
                              Continue with Google
                            </button>
                          </div>
                          <br>
                          <!-- Continue with Facebook -->
                          <div class="formGroup">
                            <button type="button" class="btn btn-danger" (click)="authservice.FacebookAuth()">
                              <i class="fab fa-facebook"></i>
                              Continue with Facebook
                            </button>
                          </div>
                        <!-- </div> -->
                    
                            <br>
                            <br>
                            <div class="register"><h4>Already have account</h4><a href="#" routerLink='/login'><h3>Log In</h3> </a></div>
                        <!-- </div> -->
                    <!-- </form> -->
                        <!-- <mat-form-field class="full-width-input">
                            <mat-label>Email</mat-label>
                            <input matInput  placeholder="Email" required>
                                <mat-error>
                                    Please provide a valid email address
                                </mat-error>
                        </mat-form-field>
                        <mat-form-field class="full-width-input">
                            <mat-label>Password</mat-label>
                            <input matInput  type="password" placeholder="Password" required>
                        <mat-error>
                            Please provide a valid password
                        </mat-error>
                        </mat-form-field>
                        <button mat-raised-button color="primary">Login</button> -->
                </mat-card-content>
            </form>
        </div>
    </mat-card>

    <p *ngIf="errorMessage.length > 0" class="test-danger">
        {{errorMessage}}
    </p>
    <p *ngIf="error.message.length > 0" class="test-danger">
        {{errorMessage}}
    </p>
    <p *ngIf="message.length > 0" class="test-info">
        {{errorMessage}}
    </p>
</div>
